BimpHelp

Equipment: Bimp API methods

Bimp API methods for the “Equipment” resource (/org2/machinery/…): 1 method. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/machinery/api-readListA request to view a list of machinery

api-readList

POST /org2/machinery/api-readList

A request to view a list of machinery

Request body (JSON)

FieldTypeRequiredDescription
showArchivebooleanDo you need to show archived records?
namestringMachinery name
modelstringMachinery model
yearOfManufacturestringThe year in the format ‘YYYY’ (e.g., ‘2025’)
acceptanceDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
serialNumberstringSerial number of machinery
counterpartyobject[]
counterparty[].GUIDstring (uuid)yesA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
paginationobjectyes
pagination.offsetintegeryes
pagination.countintegeryes

Response: data field

FieldTypeDescription
rowsobject[]
rows[].uuidstring
rows[].namestring
rows[].acceptanceDatestring
rows[].archiveboolean
rows[].yearOfManufacturestring
rows[].modelstring
rows[].serialNumberstring
rows[].warrantyPeriodnumber
rows[].referenceTypestring
totalnumber
curl -X POST 'https://app.bimpsoft.com/org2/machinery/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":1,"count":1}}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.